[PATCH nft] tests: Add test for compile options.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This patch adds a script to test available compile options.

Signed-off-by: Varsha Rao <rvarsha016@xxxxxxxxx>
---
 tests/build/run-tests.sh | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100755 tests/build/run-tests.sh

diff --git a/tests/build/run-tests.sh b/tests/build/run-tests.sh
new file mode 100755
index 0000000..298acca
--- /dev/null
+++ b/tests/build/run-tests.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+if [ "$(id -u)" !=  "0" ]  ; then
+        echo "Run as root user"
+        exit 1
+fi
+
+LOG_FILE="`pwd`/tests.log"
+dir=../..
+cmd=./configure
+argument=( --without-cli --enable-debug --with-mini-gmp --enable-pdf-doc --with-xtables )
+ok=0
+failed=0
+
+[ -f $LOG_FILE ] && rm -rf $LOG_FILE
+cd $dir
+
+for var in "${argument[@]}" ; do
+	echo "[EXECUTING] Testing compile option $var"
+	$cmd $var >/dev/null 2>>$LOG_FILE
+	rt=$?
+	echo -en "\033[1A\033[K" # clean the [EXECUTING] foobar line
+
+	if [ $rt -eq 0 ] ; then
+		echo "[OK] Compile option $var works."
+		((ok++))
+	else
+		echo "[FAILED] Compile option $var does not work. Check log for details."
+		((failed++))
+	fi
+done
+
+echo "results: [OK] $ok [FAILED] $failed [TOTAL] $((ok+failed))"
+exit 0
-- 
2.14.3

--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Netfitler Users]     [LARTC]     [Bugtraq]     [Yosemite Forum]

  Powered by Linux